For the complete documentation index, see llms.txt.

Order Documents
PUT/api/orders/{orderId}/documents/{documentId}

Update Order Document

Replace an existing order document. Send multipart/form-data with one file field and, optionally, a document_type field.

View as MarkdownCopy for LLM

Order Documents

Create and retrieve packing slips, commercial invoices, and uploaded order documents for orders that need paperwork.

6 related endpoints

Endpoint

Endpoint URL

https://api.starshipit.com/api/orders/{orderId}/documents/{documentId}

Request body

Multipart form data: file=<binary file>; document_type=OrderDocument

Related endpoints